
public class GameLogic {
	public final int SIZE = 3;
	private int turn = 1; //X - 1, Y - 0 
	int[][] values = {{-100,-100,-100},{-100,-100,-100},{-100,-100,-100}};
	
	public void setValue(int row, int col, int value){
		values[row][col] = value;
	}
	
	public int getTurn(){
		return this.turn;
	}
	
	public void setTurn(){
		this.turn = 1 - this.turn;
	}
	public boolean checkVictory(int row, int col){
		if(row == col){
			if(checkFirstDiagonal(row, col))
				return true;
		}
		
		if (row+col == SIZE - 1){
			if(checkSecondDiagonal(row, col))
				return true;
		}
		
		if(checkRow(row)|| checkCol(col))
		   return true;
	
	    return false;      
	}
	
	
	private boolean checkRow(int row){
		int sum = 0;
		for(int i = 0; i < SIZE; i++)
			sum += values[row][i];
			
		if(sum == turn*3 )
		   	return true;
		
		return false;   	
		 	
	}
		   	 
		
		
	private boolean	checkCol(int col){ 
	 	int sum = 0;
		for(int i = 0; i < SIZE; i++)
			sum += values[i][col];
			
		if(sum == turn*3 )
		   	return true;	
		
		return false;
	}
	

	
	private boolean checkFirstDiagonal(int row,int col){
		int sum = 0;
		for(int i = 0; i < SIZE; i++)
		   	 sum += values[i][i];
		   
		 if(sum == turn*3 )
		   	  return true;
	     
	     return false;
		 
	}
	private boolean checkSecondDiagonal(int row,int col){
		int sum = 0;
	    for(int i = 0; i < SIZE; i++)
				sum += values[i][SIZE - i-1];
				
		if(sum == turn*3)
			return true;
			
		return false;	
		
	}
	

}
