import java.awt.*;
import java.awt.event.*;

public class GamePanel extends Panel{

	private GameLogic gameLogic;
	private final int SIZE;
	GameButton[][] arrButton;
	
	public GamePanel(){
		gameLogic = new GameLogic();
		SIZE = gameLogic.SIZE;
		arrButton = new GameButton[SIZE][SIZE];
		this.setLayout(new GridLayout(3,3));
		GameListener gameListener = new GameListener();
		for(int i = 0 ; i < SIZE ; i ++){
			for(int j = 0; j<SIZE; j++){
			arrButton[i][j] = new GameButton(i,j);
			arrButton[i][j].addActionListener(gameListener);
			this.add(arrButton[i][j]);
			}
		}
	}
	
	
		
		
	public class GameListener implements ActionListener{
			
			public void actionPerformed(ActionEvent e){
				 GameButton button = (GameButton)e.getSource();
				 int row = button.getRow();
				 int col =  button.getCol();
				 if(gameLogic.getTurn() == 1){
				 	button.setLabel("X");
				 	gameLogic.setValue(row, col,1);
				 }	
				 else{
				    button.setLabel("0");
				    gameLogic.setValue(row, col,0);
				}
				 
				 button.setEnabled(false);
				 boolean victory = gameLogic.checkVictory(row, col);
				 if(victory){
				 		setEnabled(false);
				 		
				 		if(gameLogic.getTurn() == 1)
				 			OutputWindow.println("X WON !!!");
				 		else
				 			OutputWindow.println("Y WON !!!");	
				 }  
				 gameLogic.setTurn();
				 
			}
		}
							
}
